spring:
  application:
    name: in-cloud
  profiles:
    active: local



  quartz:
    job-store-type: jdbc
    # 是否等待任务执行完毕后，容器才会关闭
    wait-for-jobs-to-complete-on-shutdown: true
    scheduler-name: SpringBootDemoScheduler
    properties:
      org:
        quartz:
          scheduler:
            instanceName: SC_Scheduler
            instanceId: AUTO
          threadPool:
            # 线程数量
            threadCount: 20
            # 线程优先级
            threadPriority: 5
            # 线程池中线程名称的前缀
            threadNamePrefix: cloud-quartz-thread
            # 加载任务代码的ClassLoader是否从外部继承
            threadsInheritContextClassLoaderOfInitializingThread: true
          jobStore:
            dataSource: incloud
            # 最大能忍受的触发超时时间，如果超时则认为“失误”
            misfireThreshold: 5000
            # 选择JDBC的存储方式
            class: org.quartz.impl.jdbcjobstore.JobStoreTX
            # 类似于Hibernate的dialect，用于处理DB之间的差异，StdJDBCDelegate能满足大部分的DB（授权）
            driverDelegateClass: org.quartz.impl.jdbcjobstore.StdJDBCDelegate
            # 在调度流程的第一步，也就是拉取待即将触发的triggers时，是上锁的状态，即不会同时存在多个线程拉取到相同的trigger的情况，也就避免的重复调度的危险。参考：https://segmentfault.com/a/1190000015492260
            acquireTriggersWithinLock: true

          dataSource:
            incloud:
              driver: com.mysql.cj.jdbc.Driver
              URL: jdbc:mysql://127.0.0.1:3306/incloud?serverTimezone=UTC&useUnicode=true&characterEncoding=UTF-8
              user: root
              password: root



minio:
  pull:
    url: https://117.78.19.70:9010/client/getFileLogsForAio/
    fileurl: https://117.78.19.70:9010/client/getFileById?id=
    fileDir: D:\\fileInit\\temp

  fileurl: D:\\fileInit\\minlo
  host: http://api.jiayuepowertech.com:9013
  user: minio
  pwd: yanfa*3377
  logurl: http://117.78.19.70:9009/client/saveFileLogsForAio

logging:
  config: classpath:logback.xml

server:
  port: 8801
---
spring:

  config:
    activate:
      on-profile: local


  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
        namespace: local

      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        file-extension: yml
        namespace: local

management:
  endpoint:
    web:
      exposure:
        include: '*'
